# HG changeset patch
# Node ID 4bf7de81769d
# Parent  4659a7247aa7
diff --git a/finch/gntconn.c b/finch/gntconn.c
--- a/finch/gntconn.c
+++ b/finch/gntconn.c
@@ -140,8 +140,7 @@
 {
 	PurpleAccountManager *manager = purple_account_manager_get_default();
 
-	g_signal_handlers_disconnect_by_func(manager,
-	                                     G_CALLBACK(account_removed_cb), NULL);
+	g_signal_handlers_disconnect_by_func(manager, account_removed_cb, NULL);
 
 	g_clear_pointer(&hash, g_hash_table_destroy);
 }
diff --git a/finch/gntmedia.c b/finch/gntmedia.c
--- a/finch/gntmedia.c
+++ b/finch/gntmedia.c
@@ -417,6 +417,5 @@
 void finch_media_manager_uninit(void)
 {
 	PurpleMediaManager *manager = purple_media_manager_get();
-	g_signal_handlers_disconnect_by_func(G_OBJECT(manager),
-			G_CALLBACK(finch_new_media), NULL);
+	g_signal_handlers_disconnect_by_func(manager, finch_new_media, NULL);
 }
diff --git a/finch/gntnotify.c b/finch/gntnotify.c
--- a/finch/gntnotify.c
+++ b/finch/gntnotify.c
@@ -116,8 +116,8 @@
 		purple_notify_searchresults_free(g_object_get_data(handle, "notify-results"));
 #if 1
 	/* This did not seem to be necessary */
-	g_signal_handlers_disconnect_by_func(G_OBJECT(widget),
-			G_CALLBACK(notify_msg_window_destroy_cb), GINT_TO_POINTER(type));
+	g_signal_handlers_disconnect_by_func(widget, notify_msg_window_destroy_cb,
+	                                     GINT_TO_POINTER(type));
 #endif
 	gnt_widget_destroy(widget);
 }
diff --git a/finch/gntroomlist.c b/finch/gntroomlist.c
--- a/finch/gntroomlist.c
+++ b/finch/gntroomlist.c
@@ -265,8 +265,8 @@
 fl_show_with_account(PurpleAccount *account)
 {
 	setup_roomlist(account);
-	g_signal_handlers_disconnect_matched(G_OBJECT(froomlist.window), G_SIGNAL_MATCH_FUNC,
-			0, 0, NULL, G_CALLBACK(size_changed_cb), NULL);
+	g_signal_handlers_disconnect_matched(froomlist.window, G_SIGNAL_MATCH_FUNC,
+	                                     0, 0, NULL, size_changed_cb, NULL);
 	gnt_widget_show(froomlist.window);
 	gnt_screen_resize_widget(froomlist.window,
 			purple_prefs_get_int(PREF_ROOT "/size/width"),
diff --git a/libpurple/protocols/jabber/jabber.c b/libpurple/protocols/jabber/jabber.c
--- a/libpurple/protocols/jabber/jabber.c
+++ b/libpurple/protocols/jabber/jabber.c
@@ -2960,8 +2960,8 @@
 	jabber_presence_uninit();
 	jabber_iq_uninit();
 
-	g_signal_handlers_disconnect_by_func(G_OBJECT(purple_media_manager_get()),
-			G_CALLBACK(jabber_caps_broadcast_change), NULL);
+	g_signal_handlers_disconnect_by_func(purple_media_manager_get(),
+	                                     jabber_caps_broadcast_change, NULL);
 
 	jabber_auth_uninit();
 	g_clear_list(&jabber_features, (GDestroyNotify)jabber_feature_free);
diff --git a/libpurple/protocols/jabber/jingle/rtp.c b/libpurple/protocols/jabber/jingle/rtp.c
--- a/libpurple/protocols/jabber/jingle/rtp.c
+++ b/libpurple/protocols/jabber/jingle/rtp.c
@@ -212,15 +212,15 @@
 				session, type == PURPLE_MEDIA_INFO_HANGUP ?
 				"success" : "decline"));
 
-		g_signal_handlers_disconnect_by_func(G_OBJECT(media),
-				G_CALLBACK(jingle_rtp_state_changed_cb),
-				session);
-		g_signal_handlers_disconnect_by_func(G_OBJECT(media),
-				G_CALLBACK(jingle_rtp_stream_info_cb),
-				session);
-		g_signal_handlers_disconnect_by_func(G_OBJECT(media),
-				G_CALLBACK(jingle_rtp_new_candidate_cb),
-				session);
+		g_signal_handlers_disconnect_by_func(media,
+		                                     jingle_rtp_state_changed_cb,
+		                                     session);
+		g_signal_handlers_disconnect_by_func(media,
+		                                     jingle_rtp_stream_info_cb,
+		                                     session);
+		g_signal_handlers_disconnect_by_func(media,
+		                                     jingle_rtp_new_candidate_cb,
+		                                     session);
 
 		g_object_unref(session);
 	/* The same signal is emitted *four* times in case of acceptance
@@ -256,15 +256,14 @@
 					JINGLE_SESSION_ACCEPT));
 		}
 
-		g_signal_handlers_disconnect_by_func(G_OBJECT(media),
-				G_CALLBACK(jingle_rtp_candidates_prepared_cb),
-				session);
-		g_signal_handlers_disconnect_by_func(G_OBJECT(media),
-				G_CALLBACK(jingle_rtp_codecs_changed_cb),
-				session);
-		g_signal_connect(G_OBJECT(media), "new-candidate",
-				G_CALLBACK(jingle_rtp_new_candidate_cb),
-				session);
+		g_signal_handlers_disconnect_by_func(media,
+		                                     jingle_rtp_candidates_prepared_cb,
+		                                     session);
+		g_signal_handlers_disconnect_by_func(media,
+		                                     jingle_rtp_codecs_changed_cb,
+		                                     session);
+		g_signal_connect(media, "new-candidate",
+		                 G_CALLBACK(jingle_rtp_new_candidate_cb), session);
 	}
 }
 
diff --git a/libpurple/purplenotificationmanager.c b/libpurple/purplenotificationmanager.c
--- a/libpurple/purplenotificationmanager.c
+++ b/libpurple/purplenotificationmanager.c
@@ -388,7 +388,7 @@
 		 * with our unread count accounting.
 		 */
 		g_signal_handlers_disconnect_by_func(notification,
-		                                     G_CALLBACK(purple_notification_manager_notify_cb),
+		                                     purple_notification_manager_notify_cb,
 		                                     manager);
 
 		/* If the notification is not read, we need to decrement the unread
diff --git a/libpurple/savedstatuses.c b/libpurple/savedstatuses.c
--- a/libpurple/savedstatuses.c
+++ b/libpurple/savedstatuses.c
@@ -1271,7 +1271,7 @@
 	g_clear_pointer(&creation_times, g_hash_table_destroy);
 
 	g_signal_handlers_disconnect_by_func(manager,
-	                                     G_CALLBACK(purple_savedstatus_unset_all_substatuses),
+	                                     purple_savedstatus_unset_all_substatuses,
 	                                     NULL);
 	purple_signals_unregister_by_instance(handle);
 	purple_signals_disconnect_by_handle(handle);
diff --git a/pidgin/gtknotify.c b/pidgin/gtknotify.c
--- a/pidgin/gtknotify.c
+++ b/pidgin/gtknotify.c
@@ -580,7 +580,8 @@
 	} else {
 		char *primary = g_strdup_printf(_("Info for %s"), who);
 		ui_handle = pidgin_notify_formatted(_("Buddy Information"), primary, NULL, info);
-		g_signal_handlers_disconnect_by_func(G_OBJECT(ui_handle), G_CALLBACK(formatted_close_cb), NULL);
+		g_signal_handlers_disconnect_by_func(ui_handle, formatted_close_cb,
+		                                     NULL);
 		g_signal_connect(ui_handle, "response", G_CALLBACK(remove_userinfo),
 		                 key);
 		g_free(primary);
diff --git a/pidgin/gtkutils.c b/pidgin/gtkutils.c
--- a/pidgin/gtkutils.c
+++ b/pidgin/gtkutils.c
@@ -385,9 +385,10 @@
 	purple_signals_disconnect_by_handle(widget);
 
 	g_signal_handlers_disconnect_by_func(manager,
-	                 G_CALLBACK(autocomplete_account_added_cb), data);
+	                                     autocomplete_account_added_cb, data);
 	g_signal_handlers_disconnect_by_func(manager,
-	                 G_CALLBACK(autocomplete_account_removed_cb), data);
+	                                     autocomplete_account_removed_cb,
+	                                     data);
 
 	g_free(data);
 }
diff --git a/pidgin/pidginaccounteditor.c b/pidgin/pidginaccounteditor.c
--- a/pidgin/pidginaccounteditor.c
+++ b/pidgin/pidginaccounteditor.c
@@ -1273,7 +1273,7 @@
 	/* Disconnect the notify handler from the previous account. */
 	if(PURPLE_IS_ACCOUNT(editor->account)) {
 		g_signal_handlers_disconnect_by_func(editor->account,
-		                                     G_CALLBACK(pidgin_account_editor_connection_changed_cb),
+		                                     pidgin_account_editor_connection_changed_cb,
 		                                     editor);
 	}
 
diff --git a/pidgin/plugins/gestures/stroke-draw.c b/pidgin/plugins/gestures/stroke-draw.c
--- a/pidgin/plugins/gestures/stroke-draw.c
+++ b/pidgin/plugins/gestures/stroke-draw.c
@@ -262,10 +262,8 @@
 
 	g_return_if_fail(GTK_IS_EVENT_BOX(event));
 
-	g_signal_handlers_disconnect_by_func(G_OBJECT(event),
-	                                     G_CALLBACK(process_event), widget);
-	g_signal_handlers_disconnect_by_func(G_OBJECT(event),
-	                                     G_CALLBACK(gstroke_draw_cb), NULL);
+	g_signal_handlers_disconnect_by_func(event, process_event, widget);
+	g_signal_handlers_disconnect_by_func(event, gstroke_draw_cb, NULL);
 }
 
 void
